Page MenuHomePhabricator

Add "previous" button as well as the existing "next" button
Closed, ResolvedPublic

Description

When uploading there's only a "Next" button, but not a "Previous". I had to close the page and use the old uploader because I had messed up something and could not correct it.

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterRestore content after having gone back
mediawiki/extensions/UploadWizard : masterAdd 'back' button throughout UW workflow
mediawiki/extensions/UploadWizard : master[WIP] Add 'previous' button throught UW workflow

Event Timeline

wil93 created this task.Jan 5 2016, 9:24 PM
wil93 raised the priority of this task from to Needs Triage.
wil93 updated the task description. (Show Details)
wil93 added a project: UploadWizard.
wil93 added a subscriber: wil93.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 5 2016, 9:24 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
MarkTraceur triaged this task as Medium priority.Jan 6 2016, 5:49 PM
MarkTraceur added a subscriber: MarkTraceur.

Hi! This is something we want, too, and it's almost possible now. I have a WIP patch that I will tie to this task.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJan 6 2016, 5:49 PM

Oh, sorry, I think I tried to get it to work and then sort of abandoned the patch. I'll see if I can find it on my computer when I get home.

Change 313215 had a related patch set uploaded (by Matthias Mullie):
[WIP] Add 'previous' button throught UW workflow

https://gerrit.wikimedia.org/r/313215

Change 314024 had a related patch set uploaded (by Matthias Mullie):
Add 'back' button throughout UW workflow

https://gerrit.wikimedia.org/r/314024

Change 313215 abandoned by Matthias Mullie:
[WIP] Add 'previous' button throught UW workflow

Reason:
Split up into multiple smaller patches.

https://gerrit.wikimedia.org/r/313215

Change 320611 had a related patch set uploaded (by Matthias Mullie):
Restore content after having gone back

https://gerrit.wikimedia.org/r/320611

Change 314024 merged by jenkins-bot:
Add 'back' button throughout UW workflow

https://gerrit.wikimedia.org/r/314024

Change 320611 merged by jenkins-bot:
Restore content after having gone back

https://gerrit.wikimedia.org/r/320611

matmarex closed this task as Resolved.Nov 14 2016, 3:00 PM
matmarex removed a project: Patch-For-Review.